#include <jni.h>
#include "CGI.h"
#include <stdio.h>
#include <stdlib.h>

extern jstring Java_cx_ath_matthew_cgi_CGI_getenv (JNIEnv *env, jobject obj, jstring ename)
{
   const char *estr = (*env)->GetStringUTFChars(env, ename, 0);
   char *eval = getenv(estr);
   (*env)->ReleaseStringUTFChars(env, ename, estr);
   if (NULL == eval)
      return NULL;
   else
      return (*env)->NewStringUTF(env, eval);
}

extern void Java_cx_ath_matthew_cgi_CGI_setenv (JNIEnv *env, jobject obj, jstring var, jstring val)
{
   const char *cvar = (*env)->GetStringUTFChars(env, var, 0);
   const char *cval = (*env)->GetStringUTFChars(env, val, 0);
   setenv(cvar, cval, 1);
}
